> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Addresses



## OpenAPI

````yaml /api-reference/openapi.json get /addresses/me/broker
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /addresses/me/broker:
    get:
      tags:
        - Addresses
      summary: Get Deposit Addresses
      responses:
        '200':
          description: Get My Broker Addresses
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        active:
                          type: boolean
                        value:
                          type: string
                          format: utc-millisec
                        reference:
                          type: string
                        network:
                          type: string
                        memo:
                          nullable: true
                        purpose:
                          type: string
                        userId:
                          type: string
                        currencyId:
                          nullable: true
                        isMaster:
                          type: boolean
              example:
                message: Ok
                data:
                  - id: a5bc58ff-01d2-4b89-b894-7b1eff57d68f
                    createdAt: '2026-03-25T11:28:02.183Z'
                    updatedAt: '2026-03-25T11:28:02.183Z'
                    active: true
                    value: '0x2Be5A5dEA5E3878b6D581BC4bAF93EF7998feBe3'
                    reference: b420000e-b328-489c-9cd0-aa779849b825
                    network: ETH
                    memo: null
                    purpose: 625e7c0e-b6d8-4fb8-9870-2a4a24fdf345
                    userId: 51ec42a0-6c2f-4435-86ed-fa7bae079a57
                    isMaster: false
                    deletedAt: null
                  - id: 31a3cf9a-d557-4c73-87ae-4372a5b27072
                    createdAt: '2026-03-26T07:35:45.521Z'
                    updatedAt: '2026-03-26T07:35:45.521Z'
                    active: true
                    value: '0x5F999Dc0F7AA85b9CF3540F6C8595ec1Bfa253a7'
                    reference: e668bb8f-26fb-4ca8-ae48-3f16e0e77f1b
                    network: BSC
                    memo: null
                    purpose: 625e7c0e-b6d8-4fb8-9870-2a4a24fdf348
                    userId: 51ec42a0-6c2f-4435-86ed-fa7bae079a57
                    isMaster: false
                    deletedAt: null
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````